################################################################
# 
# canint_set.sh
#
# Script to use command "ip" to create socketcaninterface "canX"
#
# Required Utilities
#
#   can-utils Basic tools to display, record, generate and replay CAN traffic
#
# History
#
# v 0.0.0 15 Nov 2022 by Golden Wang
#   Create...
################################################################


#Example : ./canint_set.sh can0 1000000
#ip link set can0 up type can bitrate 100000
echo "CAN Interface : $1"
echo "CAN BaudRate  : $2"
ip link set $1 up type can bitrate $2
